repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.0.1
    hooks:
      - id: check-ast
      - id: check-json
      - id: check-toml
      - id: check-xml
      - id: check-yaml
      - id: end-of-file-fixer
        exclude: ^data/(curated|raw)_data
      - id: check-merge-conflict
      - id: pretty-format-json
        args:
          - --autofix
          - --no-sort-keys
        exclude: ^data/(curated|raw)_data
      - id: trailing-whitespace
        args:
          - --markdown-linebreak-ext=md
  - repo: https://github.com/golangci/golangci-lint
    rev: v1.42.0
    hooks:
      - id: golangci-lint
  - repo: https://github.com/TekWizely/pre-commit-golang
    rev: v1.0.0-beta.4
    hooks:
      - id: go-fumpt
        args:
          - -w
  - repo: https://github.com/PyCQA/isort
    rev: 5.9.3
    hooks:
      - id: isort
  - repo: https://github.com/psf/black
    rev: 21.7b0
    hooks:
    - id: black
